Check the status of reports
Check the status of reports. If the notification is not get from HIP then this API will help to check the status on HIU side.
<ol type='1'> <li> <b>Header</b> <ol type='a'> <br/> <li>Authorisation will be provided by the gateway session API after the successful verification of client ID and Secret [ Example: Bearer <TOKEN> ]</li><li>X-AUTH-TOKEN JWT Authentication token which was issued by ABDM after successful validation of user[ Example: Bearer <TOKEN> ]</li><li>REQUEST-ID unique UUID[ Example: 18235d89-cb13-479d-ad71-7a57d5f669a8 ]</li> <li>TIMESTAMP actual time of the requested was initiated[ Example: 2022-10-06T10:10:00.587Z ]</li> <li>X-CM-ID consent manager ID[ Example: sbx ]</li> <li>X-HIU-ID [ EXample: HIU_ID]</li></ol> </li> <br/> <li> <b>Request Body</b> <ol type='a'><br/> <li> queryStatus which contains the orderNumber and requestId[ Example: { orderNumber: 39413413 abhaAddress: <ABHA_ADDRESS> openOrderRequestId: 059fcb69-8ad8-***-a049-62db16c7b5a0 } ] </li> </ol> </ol> Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds. Suffix of the consent manager to which the request was intended JWT Authentication token which was issued by ABDM after successful validation of username and password Identifier of the health information user to which the request was intended The queryStatus is used to check the status of a specific order and its associated patient-share request. A unique identifier for the order. This helps in tracking and referencing the specific order associated with the query. abha address of the user/patient. The request id is generated from the /share/Open Order Request idAuthorizations
Authorizationbearer tokenRequiredHeaders
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredX-AUTH-TOKENstringRequiredX-HIU-IDstringRequiredBody
queryStatusobjectRequiredqueryStatus.orderNumberstringRequiredqueryStatus.abhaAddressstringRequiredqueryStatus.openOrderRequestIdstringRequiredResponses